var cargarInicio=true;
var idMaquinaNueva="";
$( document ).ready(function() {
	
	//Formatear las fechas 
    $("#primerMto").rup_date ();	

    $("#botoneraModificar").show();
	    
	$("#bt_Volver").bind("click", volver);
	$("#bt_guardar").bind("click", altaMaquina);
	
	$("#feedbacknuevoMaquina").rup_feedback({
		type : "ok",
		block : false,
		closeLink : true
	});

	  //Gamas
	$("#comboGamas").rup_combo({
		source: "../maquinas/gamasAlta/combo/remote",
		sourceParam: {label:obtenerIdiomaCombo()+"gama", value:"idgama"},
		width: 300,
		blank: "",
		select: function(){
			//asignar el valor seleccionado al campo del formulario que actualiza el valor
			$("#idgama").val($("#comboGamas").rup_combo("value"));
		},
		style : "dropdown"										
	});
	
	
	//Edificios
	$("#comboEdificios").rup_combo({
		source: "../edificios/edificiosAltaUsuario/combo/remote",
		sourceParam: {label:obtenerIdiomaCombo()+"edificio", value:"idedificio"},
		width: 455,
		blank: "",
		select: function(){
			//asignar el valor seleccionado al campo del formulario que actualiza el valor
			$("#idedificio").val($("#comboEdificios").rup_combo("value"));
		},
		style : "dropdown"										
	});
	
	//Plantas
	$("#comboPlantas").rup_combo({
		source: "../partes/plantasAlta/combo/remote",
		sourceParam: {label:obtenerIdiomaCombo() + "planta", value:"idplanta"},
		selected: "0",
		ordered: false,
		select : function() { 
			$("#idplanta").val($("#comboPlantas").val());
		},
		width: 200,
		blank: "",
		style : "dropdown"										
	});

	//Zonas
	$("#comboZonas").rup_combo({
		source: "../partes/zonasAlta/combo/remote",
		sourceParam: {label:obtenerIdiomaCombo() + "zona", value:"idzona"},
		selected: "0",
		select : function() { 
			$("#idzona").val($("#comboZonas").val());
		},
		width: 200,
		blank: "",
		style : "dropdown"										
	});

});

function obtenerIdiomaCombo(){
	var idioma="c";		
	if ($.rup_utils.capitalizedLang() =="Es") {	
		idioma = "c";
	} else idioma="e";
	return idioma;
}

function volver(){
	window.history.back();
}

function altaMaquina(){
	
	var properties={
			url:"../maquinas/alta",
			feedback:$("#feedbacknuevoMaquina"),
			dataType: "json",
			 beforeSend : function(data) {
					//Mostrar div de sincronizando
				  $("#dialogoGuardar").rup_dialog(
							{
								type : $.rup.dialog.DIV,
								height : 200,
								width : 500,
								modal : true,
								showLoading : true,
								autoOpen : false,
								title : $.rup.i18n.app.mensajesEdificios.guardando
							});
					$("#dialogoGuardar").rup_dialog("open");
			  },
			 error: function() {
				 $("#dialogoGuardar").rup_dialog("close");
				  	$("#dialogoGuardar").rup_dialog("destroy");
				 	$("#feedbacknuevoMaquina").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");			

			 },
			 success: function(data2){
				 $("#dialogoGuardar").rup_dialog("close");
				  	$("#dialogoGuardar").rup_dialog("destroy");
				 	if (data2!=null){
						 $("#feedbacknuevoMaquina").rup_feedback("set", $.rup.i18n.app.accionesRegistros.guardadook, "ok");
						 //ahora abrimos el maquina en modo edicion
						 idMaquinaNueva = data2.idmaquina;
						 editarMaquina();
				 	};
			 },
			 validate: {
				 rules: {
						"cmaquina":{required:true},
						"emaquina":{required:true},
						"primerMto":{date:true,required:true}
				 }
			 }
			};
			$("#nuevoMaquinaForm").rup_form(properties);
			$("#nuevoMaquinaForm").submit();
		
}
function volver(){
	window.history.back();
}

function editarMaquina(){
	
    // enviamos el form con el idMaquina para la busqueda
	buscaMaquinaForm.idMaquinaBusc.value = idMaquinaNueva;
	buscaMaquinaForm.submit();
}
